<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [hackAnalyzeChance](./bitburner.ns.hackanalyzechance.md)

## NS.hackAnalyzeChance() method

Get the chance of successfully hacking a server.

<b>Signature:</b>

```typescript
hackAnalyzeChance(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of the target server. |

<b>Returns:</b>

number

The chance you have of successfully hacking the target server.

## Remarks

RAM cost: 1 GB

Returns the chance you have of successfully hacking the specified server.

This returned value is in decimal form, not percentage.

